- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# poptOption Struct Reference
[POPT.]

`#include <popt.h>`

## Data Fields
const char * | longName
char | shortName
int | argInfo
void * | arg
int | val
const char * | descrip
const char * | argDescrip

## Detailed Description

Definition at line 114 of file popt.h.

## Field Documentation

const char* poptOption::longName

may be NULL

Definition at line 115 of file popt.h.

Referenced by findOption(), getTableTranslationDomain(), handleAlias(), handleExec(), installArgCallback(), invokeCallbacksOPTION(), invokeCallbacksPOST(), invokeCallbacksPRE(), maxArgWidth(), poptAddItem(), poptFreeContext(), poptGetNextOpt(), showShortOptions(), singleOptionHelp(), singleOptionUsage(), singleTableHelp(), and singleTableUsage().

char poptOption::shortName

may be ''

Definition at line 116 of file popt.h.

Referenced by displayArgs(), findOption(), getTableTranslationDomain(), handleAlias(), handleExec(), installArgCallback(), invokeCallbacksOPTION(), invokeCallbacksPOST(), invokeCallbacksPRE(), maxArgWidth(), poptAddItem(), poptGetNextOpt(), showShortOptions(), singleOptionHelp(), singleOptionUsage(), singleTableHelp(), and singleTableUsage().

int poptOption::argInfo

Definition at line 117 of file popt.h.

Referenced by findOption(), getArgDescrip(), getTableTranslationDomain(), installArgCallback(), invokeCallbacksOPTION(), invokeCallbacksPOST(), invokeCallbacksPRE(), maxArgWidth(), poptAddItem(), poptGetNextOpt(), poptSaveInt(), poptSaveLong(), showShortOptions(), singleOptionDefaultValue(), singleOptionHelp(), singleOptionUsage(), singleTableHelp(), and singleTableUsage().

void* poptOption::arg

depends on argInfo

Definition at line 118 of file popt.h.

Referenced by findOption(), getTableTranslationDomain(), installArgCallback(), invokeCallbacksOPTION(), invokeCallbacksPOST(), invokeCallbacksPRE(), itemUsage(), main(), maxArgWidth(), parseDescription(), parseFiles(), parseScript(), poptAddItem(), poptGetNextOpt(), poptSaveInt(), poptSaveLong(), showShortOptions(), singleOptionDefaultValue(), singleTableHelp(), and singleTableUsage().

int poptOption::val

0 means don't return, just update flag

Definition at line 119 of file popt.h.

Referenced by buildArgCallback(), installArgCallback(), poptAddItem(), poptGetNextOpt(), queryArgCallback(), rpmQVSourceArgCallback(), signArgCallback(), and singleOptionHelp().

const char* poptOption::descrip

description for autohelp -- may be NULL

Definition at line 120 of file popt.h.

Referenced by findOption(), invokeCallbacksPOST(), invokeCallbacksPRE(), poptAddItem(), poptFreeContext(), singleOptionHelp(), and singleTableHelp().

const char* poptOption::argDescrip

argument description for autohelp

Definition at line 121 of file popt.h.

Referenced by getArgDescrip(), poptAddItem(), poptFreeContext(), singleOptionHelp(), and singleOptionUsage().

The documentation for this struct was generated from the following file:

- popt/popt.h